#{extends 'borderNG.html' /}
<div class="content" xmlns="http://www.w3.org/1999/html">
    <ol class="breadcrumb"  style="background-color: #d9534f !important;">
        <li><a href="@{BerandaCtr.index()}">&{'nonspk.home'}</a></li>
        <li><a href="@{nonSPk.NonSpkCtr.edit(nonSpk?.lls_id)}">&{'nonspk.edit_paket'}</a></li>
        <li class="active">&{'nonspk.form_realisasi'}</li>
    </ol>
#{alert /}
#{form @nonSpk.RealisasiNonSpkCtr.simpanJenisRealisasi(nonSpk?.lls_id), name:'formJenisRealisasi', enctype:"multipart/form-data", method:'POST'}

    <table class="table table-sm">
        <tr>
            <td width="250">Bukti Pembayaran</td>
            <td colspan="3">#{selectBuktiPembayaran  'jenisRealisasiNonSpk.rsk_bukti_pembayaran', value:jenisRealisasiNonSpk?.rsk_bukti_pembayaran /}</td>
        </tr>
        <tr>
            <td width="250">Jenis Realisasi</td>
            <td>
                #{selectJenisDokumen 'jenisRealisasiNonSpk.rsk_jenis', value:jenisRealisasiNonSpk?.rsk_jenis, disabled:!draft /}
                <div class="invalid-feedback">#{error 'jenisRealisasiNonSpk.rsk_jenis' /}</div>
            </td>
        </tr>
        <tr id="nama_dok">
            <td>Nama Dokumen<span class="warning"> *</span> </td>
            <td>
                <input type="text" class="form-control  #{validate 'jenisRealisasiNonSpk.rsk_nama_dok'/}" name="jenisRealisasiNonSpk.rsk_nama_dok"
                       value="${jenisRealisasiNonSpk?.rsk_nama_dok}"/>
                <div class="invalid-feedback">#{error 'jenisRealisasiNonSpk.rsk_nama_dok' /}</div>
            </td>
        </tr>
        *{<tr>
            <td>Nama Penyedia</td>
            <td>
                <input type="text" class="form-control " name="jenisRealisasiNonSpk.rsk_nama"
                       value="${jenisRealisasiNonSpk?.rsk_nama}"/>
                <a href="@{nonSpk.RealisasiNonSpkCtr.tambahPenyediaSikap()}">Tambah Penyedia</a>
            </td>
        </tr>
        <tr>
            <td>NPWP</td>
            <td>
                <input type="text" class="form-control " id="npwp" name="jenisRealisasiNonSpk.rsk_npwp"
                       value="${jenisRealisasiNonSpk?.rsk_npwp}"/>
                <input type="hidden"  name="jenisRealisasiNonSpk.rsk_id"
                       value="${jenisRealisasiNonSpk?.rsk_id}"/>
            </td>
        </tr>}*
        <tr>
            <td>Nomor Dokumen</td>
            <td>
                <input type="text" class="form-control " id="nomor" name="jenisRealisasiNonSpk.rsk_nomor"
                       value="${jenisRealisasiNonSpk?.rsk_nomor}"/>
                <input type="hidden" name="jenisRealisasiNonSpk.rsk_id"
                       value="${jenisRealisasiNonSpk?.rsk_id}"/>
            </td>
        </tr>
        <tr>
            <td>Nilai Realisasi (Rp)<span class="warning"> *</span></td>
            <td>
                <input class="form-control money  #{validate 'jenisRealisasiNonSpk.rsk_nilai'/}" id="nilai" name="jenisRealisasiNonSpk.rsk_nilai"
                       value="${jenisRealisasiNonSpk?.rsk_nilai?.formatDouble()}"/>
                <div class="invalid-feedback">#{error 'jenisRealisasiNonSpk.rsk_nilai' /}</div>

                <input type="hidden"  name="jenisRealisasiNonSpk.rsk_id"
                       value="${jenisRealisasiNonSpk?.rsk_id}"/>

                <div class="bs-callout bs-callout-warning">
                    &{'nonspk.pemisah_desimal'}
                </div>
            </td>
        </tr>
        <tr>
            <td>Tanggal Realisasi<span class="warning"> *</span></td>
            <td>
                <div class="input-group date datepicker width-normal">
                    <input name="jenisRealisasiNonSpk.rsk_tanggal" value="${jenisRealisasiNonSpk?.rsk_tanggal?.toDatepicker()}"
                           type="text" class="form-control datepicker #{validate 'jenisRealisasiNonSpk.rsk_tanggal'/}"/>
                    <div class="input-group-append"><span class="input-group-text"><i class="fa fa-calendar"></i></span></div>
                    <div class="invalid-feedback">#{error 'jenisRealisasiNonSpk.rsk_tanggal' /}</div>
                </div>
            </td>
        </tr>

        <tr>
            <td>Keterangan </td>
            <td><textarea class="form-control " name="jenisRealisasiNonSpk.rsk_keterangan">${jenisRealisasiNonSpk?.rsk_keterangan}</textarea>
            </td>
        </tr>

        <tr>
            <td>
                Pilih Penyedia
            </td>
            <td>
                #{if jenisRealisasiNonSpk?.rsk_id != null}
                <select id="penyediaSelect" name="" class="form-control  selectpicker" data-width="auto">
                    <option value="1" #{if jenisRealisasiNonSpk?.is_penyedia}selected#{/if}>Data SIKaP</option>
                    <option value="0" #{if !jenisRealisasiNonSpk?.is_penyedia}selected#{/if}>Data Non SIKaP</option>
                </select>
                <br /><br />
                <div class="card card-info" id="panel-penyedia">
                    <div class="card-header">
                        #{if !isPaketSelesai}
                        <a href="@{nonspk.RealisasiNonSpkCtr.viewPilihPenyedia(jenisRealisasiNonSpk?.rsk_id)}" class="btn btn-secondary ">
                            <i class="fa fa-plus-circle"></i> Tambah Penyedia
                        </a>
                        #{/if}
                    </div>
                    <table class="table table-sm table-bordered">
                        <thead>
                        <tr>
                            <th width="5">No</th>
                            <th>Nama Penyedia 2</th>
                            <th>NPWP</th>
                            <th>Email</th>
                            <th>Telp</th>
                            <th>Alamat</th>
                            <th width="5"></th>
                        </tr>
                        </thead>
                        <tbody>
                            #{list items:realisasiPenyediaNonSpkList, as:'realiasiPenyediaNonSpk'}
                            <tr>
                                <td>${realiasiPenyediaNonSpk_index}</td>
                                <td>${realiasiPenyediaNonSpk.rp_nama_rekanan}</td>
                                <td>${realiasiPenyediaNonSpk.rp_npwp_rekanan}</td>
                                <td>${realiasiPenyediaNonSpk.rp_email_rekanan}</td>
                                <td>${realiasiPenyediaNonSpk.rp_telp_rekanan}</td>
                                <td>${realiasiPenyediaNonSpk.rp_alamat_rekanan}</td>
                                <td>#{if !isPaketSelesai}
                                    <a href="@{nonspk.RealisasiNonSpkCtr.hapusPenyedia(realiasiPenyediaNonSpk.rp_id)}"
                                       class="btn btn-danger btn-sm"
                                       onclick="return confirm('Anda yakin akan menghapus data ini?');">Hapus</a>
                                    #{/if}
                                </td>
                            </tr>
                            #{/list}
                        </tbody>
                    </table>
                </div>

                <div class="card card-danger" id="panel-nonpenyedia">

                    <div class="card-header">
                        #{if !isPaketSelesai}
                        <a href="@{nonspk.RealisasiNonSpkCtr.viewTambahPenyediaNonSikap(jenisRealisasiNonSpk?.rsk_id, jenisRealisasiNonSpk?.lls_id)}" class="btn btn-secondary ">
                            <i class="fa fa-plus-circle"></i> Tambah Penyedia
                        </a>
                        #{/if}
                    </div>

                    <table class="table table-sm table-bordered">
                        <thead>
                        <tr>
                            <th width="5">No</th>
                            <th>Nama Penyedia</th>
                            <th>NPWP</th>
                            <th>Email</th>
                            <th>Telp</th>
                            <th>Alamat</th>
                            <th width="5"></th>
                        </tr>
                        </thead>
                        <tbody>
                            #{list items:realisasiNonPenyediaNonSpkList, as:'realiasiPenyediaNonSpk'}
                            <tr>
                                <td>${realiasiPenyediaNonSpk_index}</td>
                                <td>${realiasiPenyediaNonSpk.rn_nama_rekanan}</td>
                                <td>${realiasiPenyediaNonSpk.rn_npwp_rekanan}</td>
                                <td>${realiasiPenyediaNonSpk.rn_email_rekanan}</td>
                                <td>${realiasiPenyediaNonSpk.rn_telp_rekanan}</td>
                                <td>${realiasiPenyediaNonSpk.rn_alamat_rekanan}</td>

                                <td>#{if !isPaketSelesai}
                                    <a href="@{nonspk.RealisasiNonSpkCtr.hapusNonPenyedia(realiasiPenyediaNonSpk.rn_id)}"
                                       class="btn btn-danger btn-sm"
                                       onclick="return confirm('Anda yakin akan menghapus data ini?');">Hapus</a>
                                    #{/if}
                                </td>

                            </tr>
                            #{/list}
                        </tbody>
                    </table>
                </div>
                #{/if}
                #{if jenisRealisasiNonSpk?.rsk_id == null}
                <div class="bs-callout bs-callout-warning">
                    Pilih Penyedia setelah selesai menyimpan realisasi.
                </div>
                #{/if}
            </td>
        </tr>
        #{if jenisRealisasiNonSpk?.rsk_id != null}
        <tr class="note-color-row">
            <td colspan="3">
                <div class="bs-callout bs-callout-info"><strong>Dokumen Realisasi</strong></div>
                <div class="bs-callout bs-callout-warning">
                    Dokumen yang dapat di upload hanya file/dokumen yang memiliki ekstensi <strong><i>*.pdf, *.jpg, *.jpeg, atau *.png</i></strong>.
                </div>
            </td>
        </tr>
        <tr>
            <td>Dokumen<span class="warning"> *</span></td>
            <td>
                #{if !isPaketSelesai}
                <div class="btn btn-success fileinput-button" style="margin-bottom: 10px;">
                    <i class="fa fa-plus-circle"></i>
                    <span>Upload</span>
                    <input id="fileupload" type="file" name="file" />
                    </div>
                #{/if}
                <div id="progress" class="progress" style="display: none;">
                    <div class="progress-bar progress-bar-success"></div>
                </div>
                <div id="alert-upload"></div>
                <input id="rskIdAttachment" type="hidden"  name="jenisRealisasiNonSpk.rsk_id_attachment" value="${jenisRealisasiNonSpk?.rsk_id_attachment}"  class="form-control  #{validate 'jenisRealisasiNonSpk.rsk_id_attachment'/}"/>
                <div class="invalid-feedback">#{error 'jenisRealisasiNonSpk.rsk_id_attachment' /}</div>

                <table class="table table-sm table-striped" id="files">
                <thead>
                <th>Nama File</th>
                <th>Tanggal Upload</th>
                <th>#{if !isPaketSelesai}Aksi#{/if}</th>
                </thead>
                <tbody>
                #{list items:jenisRealisasi?.attachment, as:'dok'}
                <tr>
                    <td>#{download dok/}</td>
                    <td>${dok?.blb_date_time?.formatDateTime()}</td>
                    <td>#{if !isPaketSelesai}<a href="javascript:void(0)" title="Hapus File"  class="removeDok" versi="${dok.blb_versi}">
                        <i class="fa fa-trash-o fa-lg" title="Hapus File"></i></a>
                        #{/if}
                    </td>
                </tr>
                #{/list}
                </tbody>
                </table>

            </td>
        </tr>
        #{/if}
        <tr>
            <td>
                #{if !isPaketSelesai}
                <button type="submit" name="simpan" class="btn btn-success"> <i class="fa fa-save"></i> Simpan</button>
                #{/if}
                <a href="@{nonSpk.NonSpkCtr.edit(nonSpk?.lls_id)}" class="btn btn-secondary">  Kembali</a>
            </td>
            <td>
                <div style="float: right;"><strong>&{'nonspk.total_nilai_realisasi'} </strong>${totalNilaiRealisasi}</div>
            </td>
        </tr>
    </table>
#{/form}
</div>

#{set 'css_custom' }
<link href="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/css/jquery.fileupload.min.css" rel="stylesheet" type="text/css">
#{/set}

#{set 'custom_script'}
<script type="text/javascript" src="#{assets '/js/numeral.min.js'/}"></script>
<script type="text/javascript" src="#{assets '/js/form.util.js'/}"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/autonumeric/4.1.0/autoNumeric.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/vendor/jquery.ui.widget.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/jquery.iframe-transport.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/jquery.fileupload.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/jquery.fileupload-process.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/jquery.fileupload-validate.min.js"></script>

<script type="text/javascript">

    $( document ).ready(function() {

        $("#formJenisRealisasi :input").prop("disabled", true);
        var initialRealizationDate = $("#realDate").val();
        if(initialRealizationDate == ""){
            $(".date").data("datepicker").setDate(new Date());
        }

        var val = $('[name="jenisRealisasiNonSpk.rsk_jenis"]').val();
        if(val === "7")
            $("#nama_dok").show();
        else
            $("#nama_dok").hide();

        #{if jenisRealisasiNonSpk?.is_penyedia}
            $("#panel-penyedia").show();
            $("#panel-nonpenyedia").hide();
        #{/if}
        #{else}
            $("#panel-penyedia").hide();
            $("#panel-nonpenyedia").show();
        #{/else}
       new AutoNumeric('.money', { digitGroupSeparator: '.', decimalCharacter: ',' });
       #{if isPaketSelesai}
        $(".form-control").attr('disabled','disabled');
       #{/if}
    });

    $('[name="jenisRealisasiNonSpk.rsk_jenis"]').on('change', function() {
        var val = $(this).val();
        if(val === "7")
            $("#nama_dok").show();
        else
            $("#nama_dok").hide();
    });

    $('#penyediaSelect').on('change', function() {
        var val = $(this).val();
        if(val === "1") {
            $("#panel-penyedia").show();
            $("#panel-nonpenyedia").hide();
        } else {
            $("#panel-penyedia").hide();
            $("#panel-nonpenyedia").show();
        }
    });


    $(document).on('click', '.removeBtn', function() {
        $(this).parent().remove();
    });

    $('#npwp').on("focus", function () {
        $(this).mask("99.999.999.9-999.999");
    });

    $("#nilai").keypress(function (e) {
        return isNumberKey2(e);
    });

    $(document).on('click', '#fileupload', function(){
        var url = '@{nonSpk.RealisasiNonSpkCtr.uploadDokRealisasi(jenisRealisasi?.rsk_id)}';
        $('#fileupload').fileupload({
            url: url,
            dataType: 'json',
            acceptFileTypes: /(\.|\/)(pdf|jpg|png|jpeg|zip|rar)$/i,
            done: function (e, data) {
                $('#progress').hide();
                if (data.result.success) {
                    $.each(data.result.files, function (index, file) {
                        var upload_date = file.upload_date;
                        var content = '<td><a href="'+ file.download_url+'"><span class="fa fa-download"></span> ' + file.name + '<td>' + upload_date + '</td><td>' +
                                '<a href="javascript:void(0)" class="removeDok" versi="' + file.versi + '">' +
                                '<i class="fa fa-trash-o fa-lg" ></i></a></td>';
                        $('<tr/>').html(content).appendTo('#files');
                        $('#rskIdAttachment').val(file.id);
                    });
					$('#alert-upload').attr('class', 'alert alert-success').html('File berhasil diupload').show();
                } else {
					$('#alert-upload').attr('class', 'alert alert-danger').html(data.result.message).show();
                }
            },
            progressall: function (e, data) {
                var progress = parseInt(data.loaded / data.total * 100, 10);
                $('#progress').show();
                $('#progress .progress-bar').css(
                        'width',
                        progress + '%'
                );
            }
        }).on('fileuploadprocessalways', function (e, data) {
            var file = data.files[data.index];
            if (data.files.error && file.error) {
                var msg = file.name+' - '+file.error
                $('#alert-upload').attr('class', 'alert alert-danger').html(msg).show()
            }
        }).prop('disabled', !$.support.fileInput).parent().addClass($.support.fileInput ? undefined : 'disabled');
    });

    $(document).on('click', '.removeDok', function(){
        var versi = $(this).attr('versi')
        var parent = $(this).parent()
        var source  = #{jsRoute @nonSpk.RealisasiNonSpkCtr.hapusDokRealisasi(jenisRealisasi?.rsk_id) /};
        BootstrapDialog.confirm({
            title: 'Konfirmasi',
            message: 'Apakah Anda yakin akan menghapus file ini?',
            draggable : true,
            closable : true,
            callback : function(result){
                if(result) {
					$.ajax({
						type: 'POST',
						url: source.url(),
						data : {'versi': versi},
						success : function(){
							$('#alert-upload').attr('class', 'alert alert-success').html('File telah terhapus').show();
							var jdata=$('#files tr').length;
							if(jdata==2) $('#rskIdAttachment').val('');
							parent.parent().remove()
						},
                        error : function(){
							$('#alert-upload').attr('class', 'alert alert-danger').html('File tidak bisa dihapus').show();
						}
					})
                }
            }
        });
    });

</script>
#{/set}